curl -X POST https://services-staging.getplu.com/api/v1/partner/profile/webhook \
-H "Authorization: Bearer sk_staging_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"webhookUrl": "https://api.acme.com/webhooks/bitmama"
}'
{
"status": "success",
"message": "Webhook endpoint configured",
"data": {
"webhookUrl": "https://api.acme.com/webhooks/bitmama",
"webhookSecret": "whsec_abc123def456..."
}
}
Configure your webhook endpoint for event notifications
curl -X POST https://services-staging.getplu.com/api/v1/partner/profile/webhook \
-H "Authorization: Bearer sk_staging_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"webhookUrl": "https://api.acme.com/webhooks/bitmama"
}'
{
"status": "success",
"message": "Webhook endpoint configured",
"data": {
"webhookUrl": "https://api.acme.com/webhooks/bitmama",
"webhookSecret": "whsec_abc123def456..."
}
}
Set the URL where you want to receive webhook events. Returns aDocumentation Index
Fetch the complete documentation index at: https://docs.getplu.com/llms.txt
Use this file to discover all available pages before exploring further.
webhookSecret for signature verification.
Bearer sk_staging_your_api_keycurl -X POST https://services-staging.getplu.com/api/v1/partner/profile/webhook \
-H "Authorization: Bearer sk_staging_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"webhookUrl": "https://api.acme.com/webhooks/bitmama"
}'
{
"status": "success",
"message": "Webhook endpoint configured",
"data": {
"webhookUrl": "https://api.acme.com/webhooks/bitmama",
"webhookSecret": "whsec_abc123def456..."
}
}
webhookSecret securely — it’s only returned when you set or update your webhook URL. You’ll need it to verify webhook signatures.